INFO_KEY_NAME = "name"
INFO_KEY_LEVEL = "level"
INFO_KEY_DESCRIPTION = "description"
INFO_KEY_REFERENCE = "reference"
INFO_KEY_POSITION = "position"
INFO_SUBKEY_LINE = "line"
INFO_SUBKEY_COLUMN = "column"
INFO_SUBKEY_PATH = "path"


def make_info_dict(name, error_level, description, reference, line, column, file_path):
    """
    Make a dictionaly of check result information.

    Parameters
    ----------

    Returns
    -------
    info_dict : dict
        Dictionary with check results information.
    """
    info_dict = {
        INFO_KEY_NAME: name,
        INFO_KEY_LEVEL: error_level,
        INFO_KEY_DESCRIPTION: description,
        INFO_KEY_REFERENCE: reference,
        INFO_KEY_POSITION: {
            INFO_SUBKEY_LINE: line,
            INFO_SUBKEY_COLUMN: column,
            INFO_SUBKEY_PATH: file_path,
        },
    }
    return info_dict
